com.io7m.jregions.core.parameterized.areas

## Class PAreaYSplitI<S,T extends PAreaIType<S>>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.areas.PAreaYSplitI<S,T>

- Type Parameters:
    `S` - A phantom type parameter indicating the coordinate space of the area
    `T` - The precise type of area
  All Implemented Interfaces:
    PAreaYSplitIType<S,T>

      @Generated(value={"Immutables.generator","PAreaYSplitIType<S, T>"})
      public final class PAreaYSplitI<S,T extends PAreaIType<S>>
      extends Object
      implements PAreaYSplitIType<S,T>

  An area that has been split via the Y axis.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PAreaYSplitI.Builder<S,T extends PAreaIType<S>>` Builds instances of type `PAreaYSplitI`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <S,T extends PAreaIType<S>> PAreaYSplitI.Builder<S,T>` | `builder()` Creates a builder for `PAreaYSplitI`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `PAreaYSplitI` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `lower`, `upper`.
    `T` | `lower()`
    `static <S,T extends PAreaIType<S>> PAreaYSplitI<S,T>` | `of(T lower, T upper)` Construct a new immutable `PAreaYSplitI` instance.
    `String` | `toString()` Prints the immutable value `PAreaYSplitI` with attribute values.
    `T` | `upper()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### lower

          public T lower()

      Specified by:
        `lower` in interface `PAreaYSplitIType<S,T extends PAreaIType<S>>`
      Returns:
        The lower half

    - #### upper

          public T upper()

      Specified by:
        `upper` in interface `PAreaYSplitIType<S,T extends PAreaIType<S>>`
      Returns:
        The upper half

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `PAreaYSplitI` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `lower`, `upper`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `PAreaYSplitI` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static <S,T extends PAreaIType<S>> PAreaYSplitI<S,T> of(T lower,
                                                                         T upper)

      Construct a new immutable `PAreaYSplitI` instance.
      Parameters:
        `lower` - The value for the `lower` attribute
        `upper` - The value for the `upper` attribute
      Returns:
        An immutable PAreaYSplitI instance

    - #### builder

          public static <S,T extends PAreaIType<S>> PAreaYSplitI.Builder<S,T> builder()

      Creates a builder for `PAreaYSplitI`.
      Type Parameters:
        `S` - generic parameter S
        `T` - generic parameter T
      Returns:
        A new PAreaYSplitI builder

Copyright © 2017 <code@io7m.com> http://io7m.com